Get all subjects

Returns a paginated list of all subjects

OAuth scopes
  • https://purl.imsglobal.org/spec/case/v1p0/scope/case.readonly
Query Parameters
  • fields
    Type: string

    Comma-separated list of fields to include

  • limit
    Type: integer
    min:  
    1
    max:  
    100

    Maximum number of items to return

  • offset
    Type: integer
    min:  
    0

    Number of items to skip

Responses
  • application/json
  • application/json
  • application/json
Request Example for get/case/1.1/CFSubjects
curl https://platform.dev.timeback.com/case/1.1/CFSubjects \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "CFSubjects": [
    {
      "identifier": "string",
      "uri": "https://example.com",
      "title": "string",
      "hierarchyCode": "string",
      "description": "string",
      "extensions": {
        "alternativeIdentifiers": [
          "string"
        ]
      },
      "lastChangeDateTime": "2026-08-13T17:37:07.549Z"
    }
  ],
  "offset": 1,
  "limit": 1,
  "total": 1
}